//+------------------------------------------------------------------+
//|                                           Get_RAVISeriesTest.mq4 |
//|                      Copyright  2007, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+
#property copyright "Copyright  2007, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net/"
//----   
extern bool NullBarRecount = true;
//----  
double RAVI_Buffer0[];
double RAVI_Buffer1[];
double RAVI_Buffer2[];
//+------------------------------------------------------------------+
//| Get_RAVISeries() function                                        |
//+------------------------------------------------------------------+
#include <Get_RAVISeries.mqh>
//+------------------------------------------------------------------+
//| Custom Expert initialization function                            |
//+------------------------------------------------------------------+
int init()
  {
//----
//----  
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom Expert iteration function                                 |
//+------------------------------------------------------------------+
int start()
  {
//---- 
double Ind_Velue,Resalt;
//---- 
if (!Get_RAVISeries(0,Symbol(),0,NullBarRecount,10,20,1,0,RAVI_Buffer0))
   return(0);
   
if (!Get_RAVISeries(1,Symbol(),240,NullBarRecount,25,66,2,1,RAVI_Buffer1))
   return(0);
   
if (!Get_RAVISeries(2,Symbol(),1440,NullBarRecount,30,70,3,3,RAVI_Buffer2))
   return(0);
   
//----      0

Ind_Velue=iCustom(NULL,0,"RAVI",10,20,1,0,0,2); 

Resalt=RAVI_Buffer0[2]-Ind_Velue; 

Print( "  "+Ind_Velue+"    "+RAVI_Buffer0[2]+"    "+Resalt+"" );

//----      1

Ind_Velue=iCustom(NULL,240,"RAVI",25,66,2,1,0,2);

Resalt=RAVI_Buffer1[2]-Ind_Velue; 

Print( "  "+Ind_Velue+"    "+RAVI_Buffer1[2]+"    "+Resalt+"" );

//----      2

Ind_Velue=iCustom(NULL,1440,"RAVI",30,70,3,3,0,2);

Resalt=RAVI_Buffer2[2]-Ind_Velue; 

Print( "  "+Ind_Velue+"    "+RAVI_Buffer2[2]+"    "+Resalt+"" );
//----
   return(0);
  }
//+------------------------------------------------------------------+